gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.ToggleButton A places a discrete next to a widget.

A places a discrete next to a widget, usually a . See for more information about toggle/check buttons.

`using System; using Gtk; class CheckButtonSample { CheckButton cb; static void Main () { new CheckButtonSample (); } CheckButtonSample () { Application.Init (); Window win = new Window ("CheckButtonSample"); win.DeleteEvent += new DeleteEventHandler (OnWinDelete); VBox vbox = new VBox (true, 1); win.Add (vbox); cb = new CheckButton ("Checked"); cb.Toggled += new EventHandler (OnCheckToggled); vbox.Add (cb); win.ShowAll (); Application.Run (); } void OnCheckToggled (object obj, EventArgs args) { if (cb.Label == "Checked") { cb.Label = "Unchecked"; } else { cb.Label = "Checked"; } } void OnWinDelete (object obj, DeleteEventArgs args) { Application.Quit (); } }`
- Constructor
  2.12.0.0
  Constructor
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  A string for the .
  Constructor
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  Gtk.CheckButton `` The label displayed to the right of the . Creates a new object with a label to the right of it. The newly created . Creates a new object with a to the right of it